#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#define TRACERNAME "/dev/tracer"
int main()
{
    int fd;
    if ((fd = open(TRACERNAME, O_RDONLY, 0)) < 0) {
       printf("The driver for this device is not installed.\n");
	   fflush(stdout);
       exit(1);
    }
	printf("the device "TRACERNAME" is ok!\n");
	fflush(stdout);
    close(fd);
    return 0;
}

